import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { CGSize } from "../structs/CGSize.js";
export declare class _QLFileThumbnailRequest extends _NSObject {
    static alloc(): _QLFileThumbnailRequest;
    static new(): _QLFileThumbnailRequest;
    init(): _QLFileThumbnailRequest;
    /**
     * The maximum size of the generated thumbnail that will be accepted. This is also the preferred size, ideally either the width or the height will match the maximumSize's width or height respectively.
     */
    maximumSize(): CGSize;
    /** The minimum size of the generated thumbnail that will be accepted. */
    minimumSize(): CGSize;
    /** The scale of the requested thumbnail. */
    scale(): number;
    /** The url of the file for which a thumbnail is being requested. */
    fileURL(): _NSURL;
}
